rpc.mountd(8)

NOM
rpc.mountd - Démon de montage sur serveur NFS

SYNOPSIS
/usr/sbin/rpc.mountd [options]

DESCRIPTION
The rpc.mountd daemon implements the server side of the NFS MOUNT protocol, an NFS side protocol used by NFS version 2 [RFC1094] and NFS version 3 [RFC1813]. It also responds to requests from the Linux kernel to authenticate clients and provides details of access permissions.

The NFS server (nfsd) maintains a cache of authentication and authorization information which is used to identify the source of each request, and then what access permissions that source has to any local filesystem. When required information is not found in the cache, the server sends a request to mountd to fill in the missing information. Mountd uses a table of information stored in /var/lib/nfs/etab and maintained by exportfs(8), possibly based on the contents of exports(5), to respond to each request.

  Monter un système de fichiers NFS partagé
Le protocole NFS MOUNT utilise plusieurs procédures, les principales étant MNT (pour monter un partage) et UMNT (pour démonter un partage).

Une requête MNT a deux arguments : un argument explicite contenant le nom de fichier du répertoire racine du partage à monter et un argument implicite qui est l'adresse IP de l'appelant.

Lors de la réception d'une requête MNT d’un client NFS, rpc.mountd vérifie à la fois l'adresse du répertoire et l'adresse IP de l'appelant au regard de la liste de ses partages. Si l'appelant a les droits suffisants pour accéder au partage demandé, rpc.mountd renvoie au client un descripteur de fichier concernant le répertoire racine du partage. Le client peut alors utiliser ce descripteur de fichier ainsi que les requêtes NFS LOOKUP pour parcourir la structure des répertoires du partage.

  Le fichier rmtab
Le démon rpc.mountd enregistre toutes les requêtes MNT réussies par une entrée dans le fichier /var/lib/nfs/rmtab. Lors de la réception d'une requête UMNT d’un client NFS, rpc.mountd supprime alors simplement l'entrée correspondante dans /var/lib/nfs/rmtab, tant que la liste de contrôle d'accès du partage permet à l'appelant d'accéder au partage.

Les clients peuvent connaître la liste des systèmes de fichiers qu'un serveur NFS partage actuellement, ou alors la liste des autres clients qui ont monté ses partages, en utilisant la commande showmount(8). showmount(8) utilise d'autres procédures du protocole NFS MOUNT pour donner des informations sur les systèmes de fichiers partagés par le serveur.

Notez cependant qu'il n'y a que peu de façons de garantir la véracité du contenu de /var/lib/nfs/rmtab. Un client peut continuer à accéder à un partage après avoir invoqué UMNT. D'autre part, si le client redémarre sans lancer la requête UMNT, des anciennes entrées pour ce client se trouvent toujours dans /var/lib/nfs/rmtab.

  Mounting File Systems with NFSv4
Version 4 (and later) of NFS does not use a separate NFS MOUNT protocol. Instead mounting is performed using regular NFS requests handled by the NFS server in the Linux kernel (nfsd). Consequently /var/lib/nfs/rmtab is not updated to reflect any NFSv4 activity.

OPTIONS

-d, --debug catégorie
    Activer le mode de débogage. Les catégories possibles sont : all, auth, call, general et parse.

-l or --log-auth
    Enable logging of responses to authentication and access requests from nfsd. Each response is then cached by the kernel for 30 minutes (or as set by --ttl below), and will be refreshed after 15 minutes (half the ttl time) if the relevant client remains active. Note that -l is equivalent to -d auth and so can be enabled in /etc/nfs.conf with "debug = auth" in the [mountd] section.

    rpc.mountd will always log authentication responses to MOUNT requests when NFSv3 is used, but to get similar logs for NFSv4, this option is required.

-i or --cache-use-ipaddr
    Normally each client IP address is matched against each host identifier (name, wildcard, netgroup etc) found in /etc/exports and a combined identity is formed from all matching identifiers. Often many clients will map to the same combined identity so performing this mapping reduces the number of distinct access details that the kernel needs to store. Specifying the -i option suppresses this mapping so that access to each filesystem is requested and cached separately for each client IP address. Doing this can increase the burden of updating the cache slightly, but can make the log messages produced by the -l option easier to read.

-T  or  --ttl
    Provide a time-to-live (TTL) for cached information given to the kernel. The kernel will normally request an update if the information is needed after half of this time has expired. Increasing the provided number, which is in seconds, reduces the rate of cache update requests, and this is particularly noticeable when these requests are logged with -l. However increasing also means that changes to hostname to address mappings can take longer to be noticed. The default TTL is 1800 (30 minutes).

-F, --foreground
    Exécution au premier plan (pas comme un démon).

-h, --help
    Afficher un message d'utilisation.

-o, --descriptors nombre
    Fixer le nombre maximal de fichiers qu'il est possible d'ouvrir simultanément. Par défaut la limite n'est pas modifiée.

-N version_mountd ou --no-nfs-version version_mountd
    Cette option peut être utilisée pour indiquer que certaines versions de NFS ne sont pas gérées par le serveur. La version actuelle de rpc.mountd implémente les versions 2, 3 et 4. Si l'une ou l'autre de ces versions ne serait pas disponible, alors rpc.mountd doit être lancé avec l'option --no-nfs-version <version>.

-n, --no-tcp
    Ne pas annoncer le protocole TCP comme disponible pour le montage.

-p, -P, --port nombre
    Indiquer le numéro de port utilisé pour les sockets d’écoute RPC. Si cette option est omise, rpc.mountd essayera de consulter /etc/services, s'il réussit à obtenir un port, et initialisera le même port pour tous les sockets, sinon choisira un port aléatoire et éphémère pour chaque socket.

    Cette option peut être utilisée pour corriger le numéro de port sur les écouteurs rpc.mountd quand les requêtes NFS MOUNT doivent traverser un pare-feu entre les clients et les serveurs.

-H, --ha-callout programme
    Indiquer un programme d'appel de haute disponibilité. Ce programme reçoit les appels de toutes les requêtes MOUNT et UNMONT, ce qui permet à rpc.mountd d'être utilisé dans un environnement de haute disponibilité (HA-NFS).

    Le programme d'appel est lancé avec quatre arguments. Le premier est mount ou unmount, en fonction de la raison de l'appel, le deuxième est le nom du client demandant le montage, le troisième est le chemin monté par le client, et le dernier est le nombre estimé de montages déjà existants de ce chemin par ce client.

    Cet appel n'est pas requis par les noyaux supérieurs à 2.6. En lieu et place, il monte le système de fichiers nfsd sur /proc/fs/nfsd.

-s, --state-directory-path répertoire
    Indiquer le répertoire où seront placées les informations d'état (etab et rmtab). En son absence, le répertoire par défaut est /var/lib/nfs.

-r, --reverse-lookup
    rpc.mountd recherche les adresses IP dans rmtab, et, lorsqu'une requête DUMP est effectuée (si quelqu'un lance showmount -a, par exemple), ce sont les adresses IP qui sont renvoyées plutôt que les noms d'hôtes par défaut. L'activation de cette option force rpc.mountd à effectuer une recherche inverse sur chaque adresse IP et à renvoyer le nom d'hôte. Cela peut entraîner une dégradation importante des performances selon les cas de figure.

-t nombre, --num-threads=nombre, --num-threads nombre
    Cette option indique le nombre de processus légers (« threads ») engendrés par rpc-mountd. La valeur par défaut est 1, ce qui est le plus souvent suffisant. Augmenter le nombre de processus n'est, en principe, nécessaire que lorsque le serveur est submergé par des centaines de requêtes de montage NFS en quelques secondes, ou lorsque votre serveur DNS est lent ou non fiable.

-u, --no-udp
    Ne pas annoncer le protocole UDP comme disponible pour le montage.

-V, --nfs-version version
    Cette option permet d'indiquer à rpc.mountd les versions de NFS qu'il doit prendre en charge. La version actuelle de rpc.mountd peut gérer les versions 2 et 3.

-v, --version
    Afficher la version de rpc.mountd puis terminer.

-g, --manage-gids
    Accepter des requêtes du noyau pour assigner des identifiants numériques d'utilisateurs dans une liste d'identifiants numériques de groupes dans le but de gérer les contrôles d'accès. Une requête NFS contient habituellement (sauf lors de l'utilisation de Kerberos ou d'un autre système d'authentification chiffré) un identifiant d'utilisateur et une liste d'identifiants de groupe. Un maximum de 16 groupes peuvent être listés à cause de restrictions du protocole NFS. En cas d'utilisation du drapeau -g, la liste des identifiants de groupe reçue du client sera remplacée par une liste d'identifiants de groupe déterminée par une recherche appropriée sur le serveur. Notez que l’identifiant de groupe « primaire » n'est pas modifié, ce qui permet à la commande newgroup de toujours fonctionner sur le client. Cette fonction impose une version du noyau supérieure ou égale à 2.6.21.

FICHIER DE CONFIGURATION
Many of the options that can be set on the command line can also be controlled through values set in the [mountd] or, in some cases, the [nfsd] sections of the /etc/nfs.conf configuration file. Values recognized in the [mountd] section include manage-gids, cache-use-ipaddr, descriptors, port, threads, ttl, reverse-lookup, and state-directory-path, ha-callout which each have the same effect as the option with the same name.

The values recognized in the [nfsd] section include TCP, UDP, vers3, and vers4 which each have the same meaning as given by rpc.nfsd(8).

GESTION DE TCP_WRAPPERS
Vous pouvez protéger vos logiciels écoutant rpc.mountd en utilisant la bibliothèque tcp_wrapper ou iptables(8).

Sachez que la bibliothèque tcp_wrapper ne prend en charge que les réseaux IPv4.

Ajouter les noms d'hôtes des pairs NFS qui sont autorisés à accéder à rpc.mountd dans /etc/hosts.allow. Employer mountd comme nom de démon même si le binaire rpc.mountd porte un autre nom.

Les noms d'hôtes utilisés dans l'un des fichiers d'accès seront ignorés s'ils ne peuvent être convertis en adresses IP. Consultez les pages de manuel tcpd(8) et hosts_access(5) pour obtenir plus de renseignements.

  Prise en charge d'IPv6 et TI-RPC
TI-RPC est nécessaire pour la prise en charge d'IPv6 par NFS. Si la prise en charge de TI-RPC est incluse dans rpc.mountd, il essaye de démarrer l'écoute sur les transports réseaux marqués comme « visible » dans le fichier /etc/netconfig. Tant qu’un écouteur de transport démarre sans erreur, rpc.mountd fonctionnera.

FICHIERS

/etc/exports
    Fichier d'entrée pour exportfs, avec la liste des partages, de leurs options et des listes de contrôle d'accès.

/var/lib/nfs/rmtab
    Liste des clients se connectant aux partages du serveur.

VOIR AUSSI
exportfs(8), exports(5), showmount(8), rpc.nfsd(8), rpc.rquotad(8), nfs(5), nfs.conf(5), tcpd(8), hosts_access(5), iptables(8), netconfig(5)

RFC 1094 – « NFS : Network File System Protocol Specification »
RFC 1813 – « NFS Version 3 Protocol Specification »
RFC 7530 - "Network File System (NFS) Version 4 Protocol"
RFC 8881 - "Network File System (NFS) Version 4 Minor Version 1 Protocol"

AUTEUR
Olaf Kirch, H. J. Lu, G. Allan Morris III et plein d'autres.

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.